/**
 * Verifica si una cadena dada contiene una sentencia SQL potencialmente peligrosa.
 *
 * @param input - La cadena a verificar.
 * @returns `true` si se detecta una sentencia SQL potencialmente peligrosa, de lo contrario `false`.
 *
 * @autor Andres Gutierrez Velez
 * @since 21/06/2024
 * @contact sr.willardkraft@gmail.com
 */
export declare function isSQLSentence(input: string): boolean;
/**
 * Detecta si hay una posible inyección SQL en una cadena dada.
 *
 * @param input - La cadena a analizar.
 * @returns `true` si se detecta una posible inyección SQL, de lo contrario `false`.
 *
 * @remarks
 * Esta función utiliza una expresión regular para buscar patrones comunes de inyección SQL en la cadena de entrada.
 * Los patrones incluyen palabras clave SQL como SELECT, UPDATE, DELETE, INSERT, DROP, UNION, AND, OR, así como números de dos o más dígitos y el patrón '; --'.
 *
 * @autor Andres Gutierrez Velez
 * @since 21/06/2024
 * @contact sr.willardkraft@gmail.com
 */
export declare function detectSQLInjection(input: string): boolean;
